# Interface methods for submodule: FastMarchingUpwindGradientImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingImageFilterProxy as _FastMarchingImageFilterProxy


# Interface methods for class: FastMarchingUpwindGradientImageFilter
class FastMarchingUpwindGradientImageFilterProxy(_FastMarchingImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTargetPoints(self, points) -> None:
		""""""
		...

	def GetTargetPoints(self):
		""""""
		...

	def GetReachedTargetPoints(self):
		""""""
		...

	def GetGradientImage(self):
		""""""
		...

	def SetGenerateGradientImage(self, _arg: bool) -> None:
		""""""
		...

	def GetGenerateGradientImage(self) -> bool:
		""""""
		...

	def GenerateGradientImageOn(self) -> None:
		""""""
		...

	def GenerateGradientImageOff(self) -> None:
		""""""
		...

	def SetTargetOffset(self, _arg: float) -> None:
		""""""
		...

	def GetTargetOffset(self) -> float:
		""""""
		...

	def SetTargetReachedMode(self, _arg) -> None:
		""""""
		...

	def GetTargetReachedMode(self):
		""""""
		...

	def SetTargetReachedModeToNoTargets(self) -> None:
		""""""
		...

	def SetTargetReachedModeToOneTarget(self) -> None:
		""""""
		...

	def SetTargetReachedModeToSomeTargets(self, numberOfTargets: int) -> None:
		""""""
		...

	def SetTargetReachedModeToAllTargets(self) -> None:
		""""""
		...

	def GetNumberOfTargets(self) -> int:
		""""""
		...

	def GetTargetValue(self) -> float:
		""""""
		...

